=== src/CMakeLists.txt ===
add_subdirectory(bindings)
add_subdirectory(maliput_dragway)
add_subdirectory(maliput_dragway_test_utilities)
add_subdirectory(plugin)
