=== debian/changelog ===
ros-foxy-maliput-dragway (0.1.5-1focal) focal; urgency=high

  * Moves builder's parameters to a separate file. (#80 <https://github.com/maliput/maliput_dragway/issues/80>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Thu, 13 Apr 2023 03:00:00 -0000

ros-foxy-maliput-dragway (0.1.4-1focal) focal; urgency=high

  * Implements plugin interface for providing default parameters. (#79 <https://github.com/maliput/maliput_dragway/issues/79>)
  * Updates triage workflow. (#77 <https://github.com/maliput/maliput_dragway/issues/77>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Mon, 12 Dec 2022 03:00:00 -0000

ros-foxy-maliput-dragway (0.1.3-1focal) focal; urgency=high

  * Matches with changes in Maliput: Lane::ToLanePosition. (#76 <https://github.com/maliput/maliput_dragway/issues/76>)
  * Adds triage workflow. (#75 <https://github.com/maliput/maliput_dragway/issues/75>)
  * Improves README. (#74 <https://github.com/maliput/maliput_dragway/issues/74>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Wed, 14 Sep 2022 03:00:00 -0000

ros-foxy-maliput-dragway (0.1.2-1focal) focal; urgency=high

  * Fixes environment hooks. (#73 <https://github.com/maliput/maliput_dragway/issues/73>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Fri, 01 Jul 2022 03:00:00 -0000

ros-foxy-maliput-dragway (0.1.1-1focal) focal; urgency=high

  * add missing dependency on python3-dev to get python.h (#72 <https://github.com/maliput/maliput_dragway/issues/72>)
    * add missing dependency on python3-dev to get python.h
    * Compiles test utilities when BUILD_TESTING flag is on, to match gtest dependency.
    Co-authored-by: Franco Cipollone <mailto:franco.c@ekumenlabs.com>
  * Contributors: Tully Foote

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 21 Jun 2022 03:00:00 -0000

ros-foxy-maliput-dragway (0.1.0-1focal) focal; urgency=high

  * Updates package.xml
  * Suppresses old-rule-api-related deprecation warnings. (#71 <https://github.com/maliput/maliput_dragway/issues/71>)
  * Uses doc_depend label. (#70 <https://github.com/maliput/maliput_dragway/issues/70>)
  * Fixes include folder installation. (#69 <https://github.com/maliput/maliput_dragway/issues/69>)
  * Depends on pybind11-dev package via rosdep. (#68 <https://github.com/maliput/maliput_dragway/issues/68>)
  * Uses ros-action-ci in build.yaml workflow. (#67 <https://github.com/maliput/maliput_dragway/issues/67>)
  * Updates license. (#66 <https://github.com/maliput/maliput_dragway/issues/66>)
  * Uses ament_export_targets. (#65 <https://github.com/maliput/maliput_dragway/issues/65>)
  * Removes dashing support. (#64 <https://github.com/maliput/maliput_dragway/issues/64>)
  * Passes the RoadGeometry to the IntersectionBook constructor. (#63 <https://github.com/maliput/maliput_dragway/issues/63>)
  * Adds BUILD_DOCS flag as opt-in flag (#62 <https://github.com/maliput/maliput_dragway/issues/62>)
  * Adds CI badges (#61 <https://github.com/maliput/maliput_dragway/issues/61>)
  * Replaces push by workflow_dispatch event in gcc build. (#60 <https://github.com/maliput/maliput_dragway/issues/60>)
  * Pairs with maliput::plugin::RoadNetworkLoader functor change. (#59 <https://github.com/maliput/maliput_dragway/issues/59>)
  * Fixes MALIPUT_PLUGIN_PATH new path. (#58 <https://github.com/maliput/maliput_dragway/issues/58>)
  * Improves use of maliput plugin architecture. (#57 <https://github.com/maliput/maliput_dragway/issues/57>)
  * Enable doxygen verification. (#56 <https://github.com/maliput/maliput_dragway/issues/56>)
  * Removes tests of the maliput::api bindings and simplifies the dragway tests (#55 <https://github.com/maliput/maliput_dragway/issues/55>)
  * Set up linker properly when using clang in CI. (#54 <https://github.com/maliput/maliput_dragway/issues/54>)
  * Remove references to GnuInstallDir vars. (#53 <https://github.com/maliput/maliput_dragway/issues/53>)
  * Enable foxy (#51 <https://github.com/maliput/maliput_dragway/issues/51>)
  * Fix include style part 2: reorder, fix newlines (#50 <https://github.com/maliput/maliput_dragway/issues/50>)
  * Fix include style part 1: use <> for maliput, pybind11 includes (#49 <https://github.com/maliput/maliput_dragway/issues/49>)
  * Use newer revision of pybind11 (#47 <https://github.com/maliput/maliput_dragway/issues/47>)
  * rosdep update --include-eol-distros (#48 <https://github.com/maliput/maliput_dragway/issues/48>)
  * Upgrade ros-tooling to v0.2.1 (#46 <https://github.com/maliput/maliput_dragway/issues/46>)
  * Uses maliput_documentation instead of maliput-documentation. (#45 <https://github.com/maliput/maliput_dragway/issues/45>)
  * Switches ament_cmake_doxygen to main. (#44 <https://github.com/maliput/maliput_dragway/issues/44>)
  * Optimizes scan-build run in CI. (#43 <https://github.com/maliput/maliput_dragway/issues/43>)
  * Add changelog template (#42 <https://github.com/maliput/maliput_dragway/issues/42>)
  * Makes CI to clone maliput_py repository. (#41 <https://github.com/maliput/maliput_dragway/issues/41>)
  * Points to maliput-documentation for workspace installation. (#40 <https://github.com/maliput/maliput_dragway/issues/40>)
  * Adds scan build workflow on specific label (#38 <https://github.com/maliput/maliput_dragway/issues/38>)
  * Trigger sanitizers workflow if label is added (#37 <https://github.com/maliput/maliput_dragway/issues/37>)
  * Fix clang build because an attribute was passed in before it was initialized. (#36 <https://github.com/maliput/maliput_dragway/issues/36>)
  * Implements inertial_to_backend_frame_translation (#35 <https://github.com/maliput/maliput_dragway/issues/35>)
  * Moves disabled workflows to a different folder. (#34 <https://github.com/maliput/maliput_dragway/issues/34>)
  * Refer to a specific clang version and use lld linker. (#33 <https://github.com/maliput/maliput_dragway/issues/33>)

