=== debian/control ===
Source: ros-foxy-maliput-dragway
Section: misc
Priority: optional
Maintainer: Daniel Stonier <daniel.stonier@tri.global>
Build-Depends: debhelper (>= 9.0.0), pybind11-dev, python3-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-clang-format <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-maliput, ros-foxy-maliput-py, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-maliput-dragway
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pybind11-dev, python3-dev, ros-foxy-maliput, ros-foxy-maliput-py, ros-foxy-ros-workspace
Description: Maliput Dragway.
